<script>
  
function getHtflg($this, $chgcd, $precycl, $chgpas) {
    var sendData = {};
    sendData["chgcd"] = $chgcd.val();
    sendData["precycl"] = $precycl.val();
    sendData["chgpas"] =$chgpas.val();

    //var $cnt = $("#detail").find(".cnt");

    var me = $this;
    common.postData(
      "./chkChgpas.php"
      , sendData
      , function (data) {
        // 特殊処理があれば
        var obj = JSON.parse(data);
        //common.setValue($cnt, obj.cnt);
        if(obj.cnt > 0){
          errflg = true;
          common.addError(frm.find(".chgpas"), "過去に使用されているパスワードは使用できません。", null, true);
        }
      }
      , function (error) {
        if ($jbcd.attr("regError")) {
          $(me).val("");
          $(me).trigger("regError", [error, $(me)]);
        } else {
          $(me).val("");
          common.addError($(me), error.msg, null);
          me.trigger("errChangeEchgcd", error.msg);
        }
        $(me).focus();
      }
    );
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2 表示
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 廃止/取消
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-haishi").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-clear").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      $(".btn-reg-before").trigger("click");
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af08m").trigger("click");
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
      $(".Func4").addClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func9").addClass("noevent");
    } else {  //表示後
      $(".Func2").addClass("noevent");
    }

    //=== header ===
    {if $isNoData eq true}
//      alert("該当データがありません。");
    {/if}
    {if $hasError eq true}
      alert("{$errorMsg}")
      $(".btn-clear").trigger("click");
      $('.btn-close').trigger('click')
    {/if}
    {if $hasShowMsg eq true}
//      alert("{$showMsg}")
    {/if}
    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){

      alert("登録しました");
      {if $mode eq "9"}
      open('about:blank', '_self').close();
      {else}
      location.replace("./");
      {/if}

    });

    $(document).on("click", ".btn-search-before", function(e) {

      var errflg = false;
      var frm = $(this).closest(".contents").find(".header");

      if (stringUtil.isEmpty(frm.find(".chgcd").val())) {
        errflg = true;
        common.addError(frm.find(".chgcd"), "社員コードを入力して下さい。", null, true);
      }

     if (errflg) {
        alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-search").trigger("click");
      }
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frm = $(".detail");
      var hfrm = $(".header");
      common.clearFormError(frm);
      
      //必須チェック
      if (stringUtil.isEmpty(frm.find(".chgnm").val())) {
        errflg = true;
        common.addError(frm.find(".chgnm"), "社員名を入力して下さい。", null, true);
      }

      //全角チェック
      if (!stringUtil.checkCharType(frm.find(".chgnm").val(), "zenkaku")) {
        errflg = true;
        common.addError(frm.find(".chgnm"), "社員名は全角で入力して下さい", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".chgnms").val(), "zenkaku")) {
        errflg = true;
        common.addError(frm.find(".chgnms"), "略称は全角で入力して下さい", null, true);
      }
      //半角チェック
      if (!stringUtil.checkCharType(frm.find(".chgknm").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".chgknm"), "カナ(半角)は半角で入力して下さい", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".chgpas").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".chgpas"), "パスワードは半角で入力して下さい", null, true);
      }

      //パスワード桁チェック
      var chgpas = frm.find(".chgpas").val();
      var chgcd = hfrm.find(".chgcd").val();
      var pkeflg = hfrm.find(".pkeflg").val();
      var pketa = hfrm.find(".pketa").val();
      var preflg = hfrm.find(".preflg").val();
      var precycl = hfrm.find(".precycl").val();
      if ((pkeflg == 0) && (chgpas.length < pketa)) {
        errflg = true;
        common.addError(frm.find(".chgpas"), "パスワードの桁数が不足しています。"+pketa+"桁以上の英数字を入力してください。", null, true);
      }

      if (!stringUtil.isEmpty(chgpas)) {
        if (preflg == 0){
          getHtflg($(this),$("#header").find(".chgcd"),$("#header").find(".precycl"),$("#header").find(".chgpas"));
        }
      }
      
      if (errflg) {
        alert('エラーがあります。');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }
    });

    //=== header ===
    $(document).on("focus", ".dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    $(document).on("afterSelectAfm08", ".chgcd", function(e){ //検索画面から戻る
      $(".btn-search-before").trigger("click");
    });

    //=== body ===

    //=== footer ===

    // 初回フォーカス
    var form = $(".header").find(".chgcd").closest("form");

    if(!(form.hasClass("noevent"))){
      $(".header").find(".chgcd").focus();
    }else{
      var chgnm = $("#detail").find(".chgnm");
      chgnm.focus();
    }

  });

</script>
